## BtCmdApplication BtCmdApplication — class for a commandline based buzztrax tool application |

## Functions

BtCmdApplication * | bt_cmd_application_new ()
gboolean | bt_cmd_application_play ()
gboolean | bt_cmd_application_info ()
gboolean | bt_cmd_application_convert ()
gboolean | bt_cmd_application_encode ()

## Properties

gboolean | quiet | Write

## Types and Values

struct | BtCmdApplication

## Object Hierarchy

        GObject
        ╰── BtApplication
            ╰── BtCmdApplication

## Includes

    #include "bt-cmd.h"

## Description

This class implements the body of the buzztrax commandline tool. It provides application level function like play, convert and encode songs.

## Functions

### bt_cmd_application_new ()

    BtCmdApplication *
    bt_cmd_application_new (gboolean quiet);

Create a new instance

#### Parameters

quiet | do not output on stdout |

#### Returns

the new instance or `NULL` in case of an error

### bt_cmd_application_play ()

    gboolean
    bt_cmd_application_play (const BtCmdApplication *self,
                             const gchar *input_file_name);

load and play the file of the supplied name

#### Parameters

self | the application instance to run |
input_file_name | the file to play |

#### Returns

`TRUE` for success

### bt_cmd_application_info ()

    gboolean
    bt_cmd_application_info (const BtCmdApplication *self,
                             const gchar *input_file_name,
                             const gchar *output_file_name);

load the file of the supplied name and print information about it to stdout.

#### Parameters

self | the application instance to run |
input_file_name | the file to print information about |
output_file_name | the file to put informations from the input_file_name. If the given file_name is `NULL`, stdout is used to print the informations. |

#### Returns

`TRUE` for success

### bt_cmd_application_convert ()

    gboolean
    bt_cmd_application_convert (const BtCmdApplication *self,
                                const gchar *input_file_name,
                                const gchar *output_file_name);

Load the file of the supplied name and convert it into a buzztrax song file. The type of the input file is automatically determined.

#### Parameters

self | the application instance to run |
input_file_name | the file to read in |
output_file_name | the file to generate |

#### Returns

`TRUE` for success

### bt_cmd_application_encode ()

    gboolean
    bt_cmd_application_encode (const BtCmdApplication *self,
                               const gchar *input_file_name,
                               const gchar *output_file_name);

Load the file of the supplied name and encode it as an audio file. The type of the output file is automatically determined from the filename extension.

#### Parameters

self | the application instance to run |
input_file_name | the file to read in |
output_file_name | the file to generate |

#### Returns

`TRUE` for success

## Types and Values

### struct BtCmdApplication

    struct BtCmdApplication;

BtApplication subclass for the commandline application

## Property Details

### The `“quiet”` property

      “quiet”                    gboolean

tell wheter the app should do output or not.

Flags: Write

Default value: FALSE